curl --request PATCH \
--url https://sandbox.intermezzo.ai/organizations/{organization_id}/bank-accounts/{bank_account_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"financialInstitutionName": "Deutsche Bank",
"accountNumber": "DE89370400440532013000",
"routingNumber": "<string>",
"iban": "<string>",
"isActive": true,
"isPrimary": true
}
'{
"financialInstitutionName": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"accountNumber": "DE89370400440532013000",
"routingNumber": "<string>",
"iban": "<string>",
"isActive": true,
"isPrimary": false
}Update a bank account for an organization
curl --request PATCH \
--url https://sandbox.intermezzo.ai/organizations/{organization_id}/bank-accounts/{bank_account_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"financialInstitutionName": "Deutsche Bank",
"accountNumber": "DE89370400440532013000",
"routingNumber": "<string>",
"iban": "<string>",
"isActive": true,
"isPrimary": true
}
'{
"financialInstitutionName": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"accountNumber": "DE89370400440532013000",
"routingNumber": "<string>",
"iban": "<string>",
"isActive": true,
"isPrimary": false
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Schema for updating bank accounts - all fields are optional
Successful Response
Schema for bank account responses
"Deutsche Bank"
"DE89370400440532013000"
9Was this page helpful?